Subject: Append query arguments from RoutePart handlers
Description

It would be nice if we could append query arguments from routepart handlers, e.g. a appendArguments method, where it would be
possible to add other query parameters which aren't a part of the returned path. In Phoenix we need this for modules since the route
part handler for modules creates a query string, which causes this problem: #33519. It would be better if it could just add some
arguments, and all the logic about creating the querystring, removing empty values, converting objects to identifiers etc.

Related issues:
related to TYPO3.Flow - Bug # 33519: Route always appends a question mark eve... Resolved 2012-01-29

Associated revisions
Revision dc3532f4 - 2012-04-30 23:40 - Aske Ertmann 

[BUGFIX] Prevent Route class from appending an extra question mark

Change-Id: I965367962786ab1ba923dbaae304e0d02afdfdc1
Fixes: #33519
Related: #33539
Releases: 1.1

History
#1 - 2012-05-21 16:15 - Karsten Dambekalns
- Target version deleted (1.1)

#2 - 2012-10-25 13:56 - Bastian Waidelich
- Status changed from New to Needs Feedback

Do we still need this for Neos?
I'm still a bit unsure about this approach..

#3 - 2012-10-31 19:02 - Aske Ertmann

I'd a missing feature for creating links inside modules at the moment. But since we've fixed recursive namespaced arguments with 
https://review.typo3.org/#/c/15261/, there are some stuff broking with the current custom module route part handlers, which I need to look into. And I
would suggest not to do anything about this until I have found a new solution for the module route part handlers..

#4 - 2012-11-23 10:37 - Bastian Waidelich
- Status changed from Needs Feedback to On Hold

2015-08-03 1/2

https://review.typo3.org/#/c/15261/


Aske Ertmann wrote:

[...] I would suggest not to do anything about this until I have found a new solution for the module route part handlers..

Ok, I put this on hold for now.

#5 - 2013-08-26 11:04 - Bastian Waidelich
- Status changed from On Hold to Rejected

I close this for now (> 9 month on hold). Feel free to reopen if we need this
